com.pdfunit.validators

## Class FontNameValidator

- java.lang.Object
- - com.pdfunit.validators.AbstractValidator
  - - com.pdfunit.validators.FontNameValidator

-     @DoNotObfuscate
      public final class FontNameValidator
      extends com.pdfunit.validators.AbstractValidator

  Validator for font names in PDF documents.
  Since:
    2016.05
  Author:
    Carsten Siedentop, March 2016

- - ### Field Summary

    - ### Fields inherited from class com.pdfunit.validators.AbstractValidator

      `testDocument`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `FontNameValidator(DocumentValidator documentValidator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocumentValidator` | `withNameContaining(java.lang.String expectedName)` This method verifies that the expected name is part of the current font name.
    `DocumentValidator` | `withNameNotContaining(java.lang.String expectedName)` This method verifies that the expected name is not part of the current font name.

    - ### Methods inherited from class com.pdfunit.validators.AbstractValidator

      `closeDocument, equals, getDocument, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FontNameValidator

          protected FontNameValidator(DocumentValidator documentValidator)

  - ### Method Detail

    - #### withNameContaining

          @Guarded
          public DocumentValidator withNameContaining(java.lang.String expectedName)

      This method verifies that the expected name is part of the current font name.

    - #### withNameNotContaining

          @Guarded
          public DocumentValidator withNameNotContaining(java.lang.String expectedName)

      This method verifies that the expected name is not part of the current font name.

Copyright (C) PDFUnit.com. See here for license.